RUNCON(1)

NAZWA
runcon - uruchamia polecenie w określonym kontekście bezpieczeństwa

SKŁADNIA
runcon KONTEKST POLECENIE [argumenty]
runcon [ -c ] [-u UŻYTKOWNIK] [-r ROLA] [-t TYP] [-l ZAKRES] POLECENIE [argumenty]

OPIS
Uruchamia POLECENIE w określonym w sposób zupełny KONTEKŚCIE lub w bieżącym bądź przejściowym kontekście bezpieczeństwa zmodyfikowanym przez jedną lub więcej wartości POZIOM, ROLA, TYP i UŻYTKOWNIK.

Jeśli nie podano żadnej z opcji -c, -t, -u, -r lub -l, to pierwszy argument jest używany jako pełny kontekst. Każdy dodatkowy argument po POLECENIU jest interpretowany jako argument do POLECENIA.

Proszę zwrócić uwagę, że jedynie uważnie dostosowane konteksty mogą się poprawnie uruchomić.

Jeśli nie podano KONTEKSTU SELinux ani POLECENIA, wyświetlany jest bieżący kontekst bezpieczeństwa.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

KONTEKST
    kompletny kontekst bezpieczeństwa

-c, --compute
    oblicza przejściowy kontekst procesu przed zmodyfikowaniem go

-t, --type=TYP
    typ (do tej samej roli co proces nadrzędny)

-u, --user=UŻYTKOWNIK
    identyfikator użytkownika

-r, --role=ROLA
    rola

-l, --range=ZAKRES
    zakres poziomów

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/> Zgłoszenia błędów w tłumaczeniu runcon proszę wysyłać na adres <http://translationproject.org/team/pl.html>

AUTOR
Napisane przez Russella Cokera.

PRAWA AUTORSKIE
Copyright © 2014 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja runcon jest dostępna w formacie Texinfo. Jeśli programy info i runcon są poprawnie zainstalowane, to polecenie

    info coreutils 'runcon invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.23 oryginału.